'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var json2mq = _interopDefault(require('json2mq'));

var index = {
  name: 'media',
  functional: true,
  props: {
    query: {
      type: [Object, String],
      required: true
    },
    visibleByDefault: {
      type: Boolean,
      default: false
    }
  },
  render: function render(h, ctx) {
    var ref = ctx.props;
    var query = ref.query;
    var visibleByDefault = ref.visibleByDefault;
    if (typeof window === 'undefined') {
      return visibleByDefault
    }
    var mediaQuery = json2mq(query);
    var mediaQueryList = window.matchMedia(mediaQuery);
    mediaQueryList.addListener(function () {
      ctx.parent.$forceUpdate();
    });
    var matches = mediaQueryList.matches;
    if (matches) {
      return ctx.children
    }
    return
  }
};

module.exports = index;
